# Retrieve a case by id Retrieve a case by id. Endpoint: GET /cases/{id} Version: 2.68.0 Security: OAuth2 ## Path parameters: - `id` (string, required) Id of the case to get. Example: "d43447fc-4e23-42e2-86cc-b35e16fa5e6f" ## Response 200 fields (application/json): - `id` (string, required) Example: "69c5a545-7b2f-4f4a-833b-45feff1056c7" - `createdAt` (string, required) Example: "2020-01-01T15:00:00Z" - `createdBy` (string, required) - `completedAt` (string) Example: "2020-01-01T15:00:00Z" - `completedBy` (string) - `updatedAt` (string) Example: "2020-01-01T15:00:00Z" - `updatedBy` (string) - `transferSuccessful` (boolean) Indicates whether the case was transferred successfully to the target system. Will be null if the transfer status is not yet known (e.g. because the case is still being processed or the transfer information has not been provided yet). Example: true - `transferMessage` (string) May contain additional information about the transfer, especially in the case of a failed transfer. Example: "Upload failed due to ERP being down" - `files` (array, required) List of files that are part of the case, each with their assigned role and main document flag. - `files.id` (string, required) Identifier of the file as returned by the upload endpoint. Example: "197c997c-4bab-41e7-b33d-bad287046914" - `files.type` (string, required) The role the file plays in the case (e.g. mainDocument, attachment). Must only contain letters from the Latin alphabet with no whitespace or special characters. Example: "salesOrder" - `files.mainFile` (boolean, required) Indicates whether this file is the main document of the case. Example: true - `entities` (object) Entities extracted from the case by the AI Agents. Example: {"currency":"EUR","items":[{"name":"High quality cement for rabbit hole sealing","qty":1}],"number":"2018-DE-0011122351","qty":2} - `externalId` (string) Example: "case-0001" - `externalData` (object) Example: {"internalSystemId":"sap-01"} - `projectId` (string, required) Example: "69bbd22c92f3c3ee4a097784" - `fileBatchId` (string) Identifier of the file batch this case was created from. Only present for cases created via POST /cases/process-file-batch. Example: "a1b0020b-8ef9-4801-aeef-979224af0bab" - `previewFileId` (string) Identifier of the file used as the case preview, if any. Example: "197c997c-4bab-41e7-b33d-bad287046914" - `state` (string, required) Enum: "done", "doneAutomatically", "failed", "inCompletion", "new", "processing", "rejected", "reviewRequired", "transferFailed", "transferred" - `url` (string) URL to access the case. Example: "https://example.com/cases/6040dc9680b782b365ea77d5" ## Response 404 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 429 fields